Summary: Graphical X.509 certificate management tool
Name: xca
Version: 0.6.4
Release: alt1

License: BSD
Group: Security/Networking
Url: http://www.hohnstaedt.de/xca.html
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: http://download.sourceforge.net/sourceforge/xca/%name-%version.tar.gz
Source1: %name.png
Patch:  xca-0.6.4.desktopfile.patch
# Automatically added by buildreq on Mon Jun 18 2007
BuildRequires: gcc-c++ libqt4-devel libssl-devel linuxdoc-tools OpenSP sgml-common

BuildRequires: desktop-file-utils

%description
The Program uses a Berkeley db for storage and supports RSA keys.
Certificate signing requests (PKCS#10) and Certificates (X509v3), the
signing of requests, and the creation of selfsigned certificates is
supported. Both can use templates for simplicity.  The PKI structures
can be imported and exported in several formats like PKCS#7, PKCS#12,
PEM, DER, PKCS#8.

%prep
%setup -q
%patch -p1

mkdir -p _tmp_root/usr
ln -s /usr/%_lib	_tmp_root%_libdir
ln -s /%_lib		_tmp_root/lib

%build
export QTDIR=%_libdir/libqt4
CC='g++' LD='%__ld' CFLAGS="$RPM_OPT_FLAGS -DXCA_DEFAULT_TRANSLATE=\\\"%_datadir/qt4/translations\\\"" STRIP=: prefix=%prefix \
./configure `pwd`/_tmp_root{,/usr}
sed -i "s|^LIBS=$|LIBS=-L%_libdir/qt4/lib -lQtCore -lQtGui -lcrypto|g" Local.mak

%make_build

#convert img/xca.ico xca.png

%install
make destdir=%buildroot mandir=share/man install
make destdir=%buildroot mandir=share/man install -C misc TOPDIR=..

install -d -m755            %buildroot%_datadir/{applications,pixmaps}
install -p -m644 img/*.png  %buildroot%_datadir/xca
install -p -m644 %SOURCE1   %buildroot%_pixmapsdir/

desktop-file-install --vendor ALTLinux --mode 0644		\
  --dir %buildroot%_desktopdir			\
  --delete-original						\
  %buildroot%_desktopdir/xca.desktop

%files
%doc AUTHORS COPYRIGHT
%_bindir/*
%_mandir/*/*
%dir %_datadir/xca
%_datadir/xca/*.png
%_datadir/xca/*.txt
%_datadir/xca/*.html
%_datadir/xca/*.xca
%_pixmapsdir/*.png
%exclude %_datadir/%name/*.qm
%_desktopdir/*

%changelog
* Tue Dec 25 2007 Eugene Ostapets <eostapets@altlinux.org> 0.6.4-alt1
- 0.6.4

* Mon Jun 18 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.6.3-alt0.1
- first build

